<?php
/* 
Plugin Name: Gravajax Registration
Plugin URI: http://www.epicalex.com/gravajax-registration/
Version: 0.3
Author: Alex Cragg
Author URI: http://epicalex.com/
Description: A Plugin that gets a user's gravatar using AJAX on the registration page of your blog.
*/

/*
Copyright (C) 2009 Alex Cragg (email: alex AT epicalex DOT com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

// Added in case the path to plugin folder has been changed by user
if ( ! defined( 'WP_CONTENT_URL' ) )
	  define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
if ( ! defined( 'WP_CONTENT_DIR' ) )
	  define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
if ( ! defined( 'WP_PLUGIN_URL' ) )
	  define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );
if ( ! defined( 'WP_PLUGIN_DIR' ) )
	  define( 'WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins' );	  
// Root to this plugin's dir
$ega_root = WP_PLUGIN_URL . '/'.dirname( plugin_basename(__FILE__));

if (!class_exists("EpicGravAJAX")) { //Start Class
	class EpicGravAJAX {
		function EpicGravAJAX() { //constructor
			
		}
		
		function ega_jquery() {
			global $ega_root;
			wp_enqueue_script('jquery-md5', $ega_root .'/jquery.md5.js', array('jquery') );
			wp_enqueue_script('ega_ajax', $ega_root . '/ega_ajax.js', array('jquery') );
		}
		
		function ega_avatar_field() {
			echo "
				<label>Gravatar<br />
					<div id=\"ega_avatar\">
						<img src=\"http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80\" alt=\"Default Gravatar\" />
					</div>
				</label>
				<p id=\"ega_get_avatar\" class=\"hidden\"></p>
				<div class=\"clear\"></div>";
		}
		
		function ega_style() {
			$style = '
				<style type="text/css" media="screen">
				#ega_avatar {
				width: 80px;
				height: 80px;
				background: #FBFBFB;
				padding: 5px;
				border: 1px solid #E5E5E5;
				margin: 0 10px 16px 0;
				float: left;
				disply: inline;
				}
				#ega_get_avatar {
				background: #FBFBFB;
				padding: 5px;
				border: 1px solid #E5E5E5;
				margin-left: 102px;
				}
				.clear {
				clear: both;
				}
				.hidden {
				display: none;
				}
				</style>
				';
			echo $style;
		}
		
	} //End Class EpicGravAJAX

} //End  if Class !Exists for EpicGravAJAX
	

if (class_exists("EpicGravAJAX")) {
	$epic_grav_ajax = new EpicGravAJAX();
}

if (isset($epic_grav_ajax)) {
	//Actions
	add_action('login_head', array(&$epic_grav_ajax, 'ega_jquery'));
	add_action('login_head', 'wp_print_scripts', 11);
	add_action('login_head', array(&$epic_grav_ajax, 'ega_style'));
	add_action('register_form', array(&$epic_grav_ajax, 'ega_avatar_field'));
}

?>